Plasmac or QtPlasmac?

More
14 Apr 2021 23:15 #205947 by txtrone
I have my base machine setup, getting very near installing plasmac onto linuxcnc 2.8 Mint. This is will be my first time to install plasmac. Should I stop now and install Qtplasmac instead? If so, should I upgrade to 2.9??

Please Log in or Create an account to join the conversation.

More
14 Apr 2021 23:41 #205952 by snowgoer540
Replied by snowgoer540 on topic Plasmac or QtPlasmac?
In the end the choice is yours. However a few things to consider... PlasmaC (on Axis or Gmoccapy) is no longer supported.

QtPlasmaC only runs on 2.9.

Maybe I’m biased, but I think QtPlasmaC is great. There were also several critical bug fixes that are not pulled into PlasmaC.

Hope that helps, happy to answer any question you might have.
The following user(s) said Thank You: txtrone

Please Log in or Create an account to join the conversation.

More
15 Apr 2021 00:31 #205957 by txtrone
Replied by txtrone on topic Plasmac or QtPlasmac?

In the end the choice is yours. However a few things to consider... PlasmaC (on Axis or Gmoccapy) is no longer supported.

QtPlasmaC only runs on 2.9.

Maybe I’m biased, but I think QtPlasmaC is great. There were also several critical bug fixes that are not pulled into PlasmaC.

Hope that helps, happy to answer any question you might have.


It seems to make sense then to go with Qt. Will I need to re-do my base machine config when I upgrade to 2.9?

Please Log in or Create an account to join the conversation.

More
15 Apr 2021 01:05 #205962 by snowgoer540
Replied by snowgoer540 on topic Plasmac or QtPlasmac?

In the end the choice is yours. However a few things to consider... PlasmaC (on Axis or Gmoccapy) is no longer supported.

QtPlasmaC only runs on 2.9.

Maybe I’m biased, but I think QtPlasmaC is great. There were also several critical bug fixes that are not pulled into PlasmaC.

Hope that helps, happy to answer any question you might have.


It seems to make sense then to go with Qt. Will I need to re-do my base machine config when I upgrade to 2.9?


If you've never made a working plasmac config, yes. But the good news is thanks to Phill, pncconf now allows you to add all the plasma inputs up front. Should be pretty easy to duplicate. You may even be able to open your .pncconf file and just add to whats there with the new version.
The following user(s) said Thank You: txtrone

Please Log in or Create an account to join the conversation.

More
15 Apr 2021 19:36 #206035 by txtrone
Replied by txtrone on topic Plasmac or QtPlasmac?

If you've never made a working plasmac config, yes. But the good news is thanks to Phill, pncconf now allows you to add all the plasma inputs up front. Should be pretty easy to duplicate. You may even be able to open your .pncconf file and just add to whats there with the new version.


Cool. I will backup everything I have and upgrade to 2.9 tomorrow or Saturday. I am sure there is a tutorial on the upgrade somewhere.

Please Log in or Create an account to join the conversation.

Moderators: phillc54
Time to create page: 0.067 seconds
Powered by Kunena Forum